AWE Rest API
Rest API to access AWE services
Version: v1.0.0
This page is generated from the OpenAPI description of the AWE REST API. See the REST API module to enable it and to configure its authentication.
Authentication
bearerAuth: HTTP bearer, JWT. AWE local JWT token obtained from /api/authenticate.
Authentication API
Authentication service
POST /api/authenticate
Authentication service.
Provides a JWT token to be sent as http header in services that require authentication.
Security: none (public)
Request body
application/json:LoginRequest
Responses
| Status | Description | Body |
|---|---|---|
200 | Success. Authorized OK | LoginResponse |
400 | Bad request | AweRestResponse |
401 | Unauthorized. User not found, invalid credentials or expired password (code PASSWORD_EXPIRED: the password has to be changed in the web application) | AweRestResponse |
500 | Internal error | AweRestResponse |
Protected API
Protected admin interface to launch AWE services
POST /api/data/{queryId}
Query service.
Launch a query given query id and parameters.
Security: bearerAuth (HTTP bearer, JWT)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
queryId | path | string | yes | Query ID |
Request body
application/json:RequestParameter
Responses
| Status | Description | Body |
|---|---|---|
200 | Success. Query launched OK | AweRestResponse |
400 | Bad request. Query not defined | AweRestResponse |
401 | Unauthorized. User not found or invalid credentials | AweRestResponse |
500 | Internal error | AweRestResponse |
POST /api/maintain/async/{maintainId}
Maintain service.
Launch a maintain given maintain id and parameters, and launch a callback function on maintain end
Security: bearerAuth (HTTP bearer, JWT)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
maintainId | path | string | yes |
Request body
application/json:RequestParameter
Responses
| Status | Description | Body |
|---|---|---|
200 | Success. Maintain launched OK | AweRestResponse |
400 | Bad request. Maintain not defined | AweRestResponse |
401 | Unauthorized. User not found or invalid credentials | AweRestResponse |
500 | Internal error | AweRestResponse |
POST /api/maintain/{maintainId}
Maintain service.
Launch a maintain given maintain id and parameters.
Security: bearerAuth (HTTP bearer, JWT)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
maintainId | path | string | yes |
Request body
application/json:RequestParameter
Responses
| Status | Description | Body |
|---|---|---|
200 | Success. Maintain launched OK | AweRestResponse |
400 | Bad request. Maintain not defined | AweRestResponse |
401 | Unauthorized. User not found or invalid credentials | AweRestResponse |
500 | Internal error | AweRestResponse |
Public API
Public admin interface to launch AWE services
POST /api/public/data/{queryId}
Public Query service.
Launch a public query given query id and parameters.
Security: none (public)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
queryId | path | string | yes | Query ID |
Request body
application/json:RequestParameter
Responses
| Status | Description | Body |
|---|---|---|
200 | Success. Query launched OK | AweRestResponse |
400 | Bad request. Query not defined | AweRestResponse |
401 | Unauthorized. User not found or invalid credentials | AweRestResponse |
500 | Internal error | AweRestResponse |
POST /api/public/maintain/{maintainId}
Maintain service.
Launch a public maintain given maintain id and parameters.
Security: none (public)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
maintainId | path | string | yes |
Request body
application/json:RequestParameter
Responses
| Status | Description | Body |
|---|---|---|
200 | Success. Maintain launched OK | AweRestResponse |
400 | Bad request. Maintain not defined | AweRestResponse |
401 | Unauthorized. User not found or invalid credentials | AweRestResponse |
500 | Internal error | AweRestResponse |
Schemas
AweRestResponse
AWE rest response model
| Property | Type | Required | Description |
|---|---|---|---|
code | string | no | Error code that tells apart the cause of an authentication error (for example PASSWORD_EXPIRED) |
dataList | DataList | no | |
message | string | no | |
resultDetails | array of MaintainResultDetails | no | |
title | string | no | |
type | string (error, ok, warning, info) | no |
DataList
| Property | Type | Required | Description |
|---|---|---|---|
page | integer (int64) | no | |
records | integer (int64) | no | |
rows | array of map of any | no | |
total | integer (int64) | no |
JsonNode
Type: any
LoginRequest
| Property | Type | Required | Description |
|---|---|---|---|
password | string | yes | User password |
username | string | yes | User name |
LoginResponse
| Property | Type | Required | Description |
|---|---|---|---|
expiresAt | string (date-time) | no | JWT expiration token |
issuer | string | no | Issuer of authentication token |
token | string | no | JWT Token |
username | string | no | User name |
MaintainResultDetails
| Property | Type | Required | Description |
|---|---|---|---|
operationType | string (A, C, D, E, I, M, N, S, Q, U, T, G) | no | |
parameterMap | map of JsonNode | no | |
rowsAffected | integer (int64) | no |
RequestParameter
Query parameters
| Property | Type | Required | Description |
|---|---|---|---|
parameters | map of any | no | Parameter values can be a list |